Bug 1276411 - [RFE] Provide VHD Image for Microsoft SCVMM support
[RFE] Provide VHD Image for Microsoft SCVMM support
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Build (Show other bugs)
5.4.0
Unspecified Unspecified
high Severity medium
: GA
: 5.4.4
Assigned To: John Prause
Jeff Teehan
: FutureFeature, ZStream
Depends On: 1223016
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-29 11:53 EDT by John Prause
Modified: 2015-12-16 08:19 EST (History)
8 users (show)

See Also:
Fixed In Version: 5.4.4.1
Doc Type: Enhancement
Doc Text:
This update adds the ability to host Red Hat CloudForms appliances on Microsoft System Center Virtual Machine Manager 2012 R2.
Story Points: ---
Clone Of: 1223016
Environment:
Last Closed: 2015-12-16 08:19:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: Feature
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Prause 2015-10-29 11:53:42 EDT
+++ This bug was initially created as a clone of Bug #1223016 +++

We were not able to make the VHD image for MS SCVMM work on cfme-5.4 (CloudForms 3.2) for the following reasons:

The NIC driver in RHEL is not compatible with the HyperV virtual machine specification and will require some work to either replace driver or find a more generally compatible one. 

Creating this BZ to track this functionality targeted for cfme-5.5 and cfme-5.4.z stream.

--- Additional comment from John Prause on 2015-07-20 15:20:14 EDT ---

Some info for later reference:
http://windowsitpro.com/virtual-machine-manager/deploy-linux-scvmm

Some details from the link:

1. Startup a Cloudforms VSphere appliance

2. Since RHEL6.6 has a default kernel version that is older (must be at least 3.4), you must install the latest Hyper-V integration services.

Question: Where do you get the latest Hyper-V integration services?

3. Install the SCVMM 2012 SP1 Linux agent. This is found in the C:\Program Files\Microsoft System Center 2012\Virtual Machine Manager\agents\Linux folder on the SCVMM server. The file will be called: scvmmguestagent.1.0.0.544.x64.tar

Question: Where do we get Microsoft System Center 2012? Is there a newer version?

4. Shut down the Linux VM, and then save its VHDX file to the SCVMM library.

5. Create a Linux template, and make sure you set the correct Operating System, which will allow you to configure automatic naming, and then save the template.

6. You can now create new Linux VMs from the template.

--- Additional comment from John Prause on 2015-07-29 14:32:58 EDT ---

This is information from jhardy:

1. The VHD support was a nice to have for CF3.2, so yes a tech preview item. As we get closer to Azure capabilities maturing this item becomes higher on the list of required items. Not confirmed but my guess would be to run CF in Azure will require a VHD format, equally we do have an account in support exception running CF in SCVMM as they only have a SCVMM environment. So we have two drivers requiring us to deliver on this, Azure and SCVMM.

2. The version of SCVMM to base against would be SCVMM 2012 R2.

--- Additional comment from John Prause on 2015-08-03 13:40:32 EDT ---

Currently, brew image-build only supports the following formats:

vmdk, qcow, qcow2, vdi, rhevm-ova, vsphere-ova, docker, raw-xz

--- Additional comment from John Prause on 2015-08-03 13:44:42 EDT ---

More info from: https://social.technet.microsoft.com/Forums/windowsserver/en-US/ef8c12f7-c45d-442e-9a30-c43cd87df3b3/how-to-convert-vmware-image-to-hyperv-images


Vmdk2Vhd is a simple utility to convert virtual hard drive images from VMWare's VMDK format into the Microsoft's VHD format. This is a sector by sector copy operation from one format to the other and the source file remains unaltered.

--- Additional comment from John Prause on 2015-08-03 16:55:32 EDT ---

Version 1.9.0 of brew is supposed to support vpc (vhd equivalent),..however we have 1.9.1 of brew installed and don't see that supported image build.

I've opened: https://engineering.redhat.com/rt/Ticket/Display.html?id=364765
with rel-eng and will need this resolved to move forward.

--- Additional comment from John Prause on 2015-09-11 13:41:35 EDT ---

The brewery machines have been updated with the latest version of brew that have VPC support. We still need to modify or add kickstart files to generate this additional appliance build.

--- Additional comment from John Prause on 2015-09-17 16:07:58 EDT ---

Hurray! I was able to brew a scratch build for a 5.4 VHD appliance.

Next I'll see if we can mount this somewhere and give it a quick test.
If that works, then I'll brew an official 5.4.2 build for QE to test.

--- Additional comment from John Prause on 2015-10-26 14:57:52 EDT ---

Fix and merged in: http://gitlab.cloudforms.lab.eng.rdu2.redhat.com/cloudforms/cfme_productization/merge_requests/90
Comment 2 Marianne Feifer 2015-11-19 07:40:53 EST
John, what are the requirements on  SCVMM for this.  Version? Extra software?
Comment 3 John Prause 2015-11-19 08:52:09 EST
Good question,...no clue.
Perhaps Jeff Teehan can provide some information.
Jeff is currently testing these appliance builds.
Comment 4 Jeff Teehan 2015-11-20 16:25:43 EST
This is mine.  I'll finish it up from QE.
Comment 5 Jeff Teehan 2015-11-20 16:33:49 EST
There are no SCVMM requirements specific to CFME.  Basically, it treats it like any other VHD.

Here are the steps from build through deploy.

1.  Download VHD image to any SCVMM Library Folder
1a. Depending on your download security setting, you may need to Unblock the file by right-clicking on the vhd file and choose properties.  Click the Unblock button at the bottom IF it exists.  (Basic Windows security setting).

Log into System Center

2.  Refresh the SCVMM Library
3.  Go to the Library Folder you used, right click on the VHD and choose either create Create Virtual Machine or Create VM Template.  Our automation just makes the template.
4.  Configure it as required.  4 Cores, 6-8Gb, Network, etc.

To use the template, if you have SCVMM as a Provider on some other Appliance, you can Provision it like any other SCVMM template.  Or you can create the VM from within SCVMM.

Once it's running, just connect, configure, and write down the IP Address to SSH into later.  The Web UI will come up in a few minutes once the DB is configured.

It's pretty straight forward.
Comment 6 Jeff Teehan 2015-11-20 16:35:38 EST
So, I did all the above multiple times over the last month.

The 5.4.4 Appliance has been running for a week without issue, as have the last three 5.5 builds.

Moving to Verified as it has been tested.  I'll leave the 5.4.4 instance running if anyone wants to log in and take a look at it.

https://10.16.6.254
Comment 8 errata-xmlrpc 2015-12-16 08:19:09 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2620.html

Note You need to log in before you can comment on or make changes to this bug.